#include "removeconfirmationwindow.h"

void RemoveConfirmationWindow::push_delete_Clicked(){

    graphicScene->removeItem(rectangleDraw);
    list->removeOne(rectangleDraw);

    if(rectangleDraw->getItem()!=NULL){
       graphicScene->removeItem(rectangleDraw->getItem());
    }
    this->rectangleDraw->setCheckDelete(true);

    this->close();
}

void RemoveConfirmationWindow::push_noDelete_Clicked(){
    this->rectangleDraw->setCheckDelete(false);

    this->close();
}

